/*
 *  Copyright 2008 Olivier PARISOT
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.doopyon.musaterm.client.term;

import java.util.*;


/**
 * Arguments.
 *
 * @author Olivier PARISOT
 */
public final class ArgumentsList 
{
	//
	// Instance fields
	//
	
	/** */
	private final Collection<String> arguments;
	
	
	//
	// Constructor
	//
	
	/**
	 * Constructor.
	 */
	public ArgumentsList(Collection<String> arguments)
	{		
		this.arguments=arguments;
	}
	
	
	//
	// Instance methods
	//
	
	/**
	 * 
	 */
	public Collection<String> getArguments()
	{
		return arguments;
	}
	
	/**
	 * {@inheritDoc}
	 */
	@Override
	public String toString()
	{
		final StringBuilder sb=new StringBuilder();
		if (arguments!=null) for (String s:arguments) sb.append(s).append(" ");
		return sb.toString();
	}
}
