/*
 *  Copyright 2008 Olivier PARISOT
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.doopyon.musaterm.client.term.common;

import org.doopyon.musaterm.client.term.*;
import java.util.*;


/**
 * Commands provider.
 *
 * @author Olivier PARISOT
 */
public final class BasicCommandsProvider implements AbstractCommandsProvider
{
	//
	// Instance methods
	//
	
	/**
	 * {@inheritDoc}
	 */
	public Collection<Command> getCommands()
	{
		final List<Command> l=new ArrayList<Command>();
		l.add(new VersionCommand());
		l.add(new HelpCommand(l));		
		l.add(new ClearCommand());
		l.add(new CloseCommand());
		l.add(new EchoCommand());
		l.add(new NullCommand());
		return l;
	}			

}