/*
 *  Copyright 2008 Olivier PARISOT
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.doopyon.musaterm.client.term.common;

import org.doopyon.musaterm.client.term.*;


/**
 * Null command.
 * 
 * @author Olivier PARISOT
 */
final class NullCommand extends Command 
{
	//
	// Static fields
	//
	
	/** */
	private static final String NAME="";
		
	
	//
	// Instance methods
	//

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String getName()
	{
		return NAME;
	}
	
	/**
	 * {@inheritDoc}
	 */
	@Override
	public void execute(ArgumentsList argument,AbstractTerminal term) {}
	
	/**
	 * {@inheritDoc}
	 */
	@Override
	public String getHelp()
	{
		return null;
	}	
}
